<?php
/**
 * Created by PhpStorm.
 * User: Jure
 * Date: 11.4.2014
 * Time: 11:19
 */

interface INfieldBackgroundTasksService {

    /// <summary>
    /// Gets fieldwork office queryable object.
    /// <exception cref="T:System.AggregateException"></exception>
    /// </summary>
    /// The aggregate exception can contain:
    /// <exception cref="Nfield.Exceptions.NfieldErrorException"></exception>
    /// <exception cref="Nfield.Exceptions.NfieldHttpResponseException"></exception>
    public function get();
    public function getDetail($id);
    public function getByProject($surveyId);
    public function getDetailByProject($surveyId,$backgroundId);

} 